Bug 1416970 - Unable to Authenticate OpenStack 10 to CloudForms 4.2
Summary: Unable to Authenticate OpenStack 10 to CloudForms 4.2
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Greg Blomquist
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 23:35 UTC by myoder
Modified: 2020-03-11 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 14:57:37 UTC
Category: Bug
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)

Description myoder 2017-01-26 23:35:05 UTC
Description of problem:

Had tried authenticating the upstream OpenStack RDO with CloudForms 4.2 and was unable to.  Have since installed a new controller with RHOSP 10 and still unable to authenticate to CloudForms.

Getting this error in the fog logs:
[----] D, [2017-01-23T09:28:06.732590 #2736:17396b8] DEBUG -- : excon.request   
{:uri=>"http://AA.BB.CC.7:5000/v3/auth/tokens",
 :method=>"POST",
 :headers=>
  {"User-Agent"=>"fog-core/1.43.0",
   "Content-Type"=>"application/json",
   "Host"=>"AA.BB.CC.7:5000"},
 :body=>
  {"auth"=>
    {"identity"=>
      {"methods"=>["password"],
       "password"=>{"user"=>{"password"=>"********"}}},
     "scope"=>{"domain"=>{"id"=>1}}}}}

[----] E, [2017-01-23T09:28:06.784860 #2736:17396b8] ERROR -- : excon.error     #<Excon::Error::Unauthorized: Expected([201]) <=> Actual(401 Unauthorized)
excon.error.response
  :body          => "{\"error\": {\"message\": \"The request you have made requires authentication.\", \"code\": 401, \"title\": \"Unauthorized\"}}"
  :cookies       => [
  ]
  :headers       => {
    "Content-Length"         => "114"
    "Content-Type"           => "application/json"
    "Date"                   => "Mon, 23 Jan 2017 14:28:09 GMT"
    "Server"                 => "Apache/2.4.6 (Red Hat Enterprise Linux) OpenSSL/1.0.1e-fips mod_wsgi/3.4 Python/2.7.5"
    "Vary"                   => "X-Auth-Token"
    "WWW-Authenticate"       => "Keystone uri=\"http://AA.BB.CC.7:5000\""
    "x-openstack-request-id" => "req-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
  }
  :host          => "AA.BB.CC.7"
  :local_address => "AA.BB.CC.39"
  :local_port    => 55644
  :path          => "/v3/auth/tokens"
  :port          => 5000
  :reason_phrase => "Unauthorized"
  :remote_ip     => "AA.BB.CC.7"
  :status        => 401
  :status_line   => "HTTP/1.1 401 Unauthorized\r\n"

Version-Release number of selected component (if applicable):
CFME 5.7.0.17

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Have verified that these credentials work in Horizon, using admin, with default domain, and no ssl.


Note You need to log in before you can comment on or make changes to this bug.